*,
*::after,
*::before {
  margin: 0;
  padding: 0;
  box-sizing: inherit;
}

html {
  font-size: 62.5%; /* 1rem = 16px */
}

body {
  box-sizing: border-box;
  overflow-x: hidden;
}

.xl-text {
  font-size: 60px;
}

@media only screen and (max-width: 992px) {
  .xl-text {
    font-size: 50px;
  }
}
@media only screen and (max-width: 768px) {
  .xl-text {
    font-size: 30px;
  }
}
.gradient-text {
  background-image: linear-gradient(to right bottom, var(--bs-primary), var(--bs-secondary));
  -webkit-background-clip: text;
  color: transparent;
  backface-visibility: hidden;
}

@keyframes moveFromLeft {
  0% {
    opacity: 0;
    transform: translateX(-10rem);
  }
  75% {
    transform: translateX(1rem);
  }
  100% {
    opacity: 1;
    transform: translate(0);
  }
}
@keyframes moveFromRight {
  0% {
    opacity: 0;
    transform: translateX(10rem);
  }
  75% {
    transform: translateX(-1rem);
  }
  100% {
    opacity: 1;
    transform: translate(0);
  }
}
@keyframes moveFromBottom {
  0% {
    opacity: 0;
    transform: translateY(3rem);
  }
  100% {
    opacity: 1;
    transform: translate(0);
  }
}
.heading-secondary {
  font-size: 3.5rem;
  text-transform: uppercase;
  font-weight: 700;
  letter-spacing: 0.2rem;
  display: inline-block;
  background-image: linear-gradient(to right, var(--bs-primary), var(--bs-secondary));
  -webkit-background-clip: text;
  color: transparent;
  backface-visibility: hidden;
  animation: moveFromBottom 1s ease-out;
  transition: all 0.2s;
}
.heading-secondary:hover {
  transform: translateY(-0.5rem) scale(1.05);
  text-shadow: 0 1rem 2rem rgba(0, 0, 0, 0.2);
}

.heading-tertiary {
  font-size: 1.8rem;
  font-weight: 600;
  text-transform: uppercase;
  letter-spacing: 0.1rem;
  color: var(--bs-primary);
}

.fancy-link {
  background-image: linear-gradient(90deg, var(--bs-primary), var(--bs-secondary));
  background-size: 0% 2px;
  background-repeat: no-repeat;
  background-position: left bottom;
  transition: background-size 300ms ease;
  /* extra styling */
  text-decoration: none;
  font-weight: 400;
}

.fancy-link:hover {
  background-size: 100% 2px;
}

.btn-xs.btn-icon {
  font-size: 0.75rem;
}

.btn-icon {
  position: relative;
  display: inline-flex;
  flex-shrink: 0;
  justify-content: center;
  align-items: center;
  font-size: 0.92969rem;
  font-weight: 400;
  width: 2.5rem;
  height: 2.5rem;
  padding: 0;
}

.btn-social {
  border-radius: 0.5rem;
}

.btn-social:hover {
  color: var(--bs-light);
}

.btn.btn-icon {
  display: inline-flex;
  align-items: center;
  justify-content: center;
}

.btn-icon {
  --si-btn-size: 2.75rem;
  --si-btn-icon-size: 1.25rem;
  flex-shrink: 0;
  width: var(--si-btn-size);
  height: var(--si-btn-size);
  padding: 0;
}

.btn-instagram:hover,
.btn-instagram:focus,
.btn-instagram:active {
  border-color: #405de6 !important;
  background-color: #405de6 !important;
  color: #fff !important;
  box-shadow: 0 0.375rem 1.125rem -0.375rem rgba(64, 93, 230, 0.8) !important;
}
